Documentation Index
Fetch the complete documentation index at: https://learninghub.blinkops.com/llms.txt
Use this file to discover all available pages before exploring further.
Basic Parameters
| Parameter | Description |
|---|
| Page | Page to start paginating from. |
| Per Page | Number of monitors to return per page. |
| Query | After entering a search query in your Manage Monitor page use the query parameter value in theURL of the page as value for this parameter.The query can contain any number of space-separated monitor attributes, for instance query="type:metric status:alert". |
Advanced Parameters
| Parameter | Description |
|---|
| Sort | String for sort order, composed of field and sort order separate by a comma, e.g. name,asc. Supported sort directions: asc, desc. Supported fields:- name |
Example Output
{ "counts": { "muted": [ { "count": 3, "name": false }, { "count": 3, "name": true } ], "status": [ { "count": 4, "name": "No Data" }, { "count": 2, "name": "OK" } ], "tag": [ { "count": 6, "name": "service:cassandra" } ], "type": [ { "count": 6, "name": "metric" } ] }, "metadata": { "page": 0, "page_count": 6, "per_page": 30, "total_count": 6 }, "monitors": [ { "classification": "metric", "creator": { "handle": "john@datadoghq.com", "name": "John Doe" }, "id": 2699850, "last_triggered_ts": null, "metrics": [ "system.cpu.user" ], "name": "Cassandra CPU is high on {{host.name}} in {{availability-zone.name}}", "notifications": [ { "handle": "jane@datadoghq.com", "name": "Jane Doe" } ], "org_id": 1234, "scopes": [ "!availability-zone:us-east-1c", "name:cassandra" ], "status": "No Data", "tags": [ "service:cassandra" ], "type": "metric alert" } ]}
Workflow Library Example
Search Monitors with Datadog and Send Results Via Email